{ pkgs
, ...
}:

{
  home.sessionVariables = {
    # required by pass-otp
    PASSWORD_STORE_EXTENSIONS_DIR = "$HOME/.nix-profile/lib/password-store/extensions";
    PASSWORD_STORE_ENABLE_EXTENSIONS = "true";
  };
  
  programs.browserpass = {
    enable = true;
  };

  home.packages = with pkgs; [
    pass-otp
    qtpass
    rofi-pass
    gnupg
  ];
}

