{ pkgs
, config
, ... }:

let

in {
  imports = [
    ../profiles/common.nix
    ../profiles/nix-channels.nix
    ../programs/neovim.nix
    ../programs/zsh.nix
  ];

  nixpkgs.config = {
    packageOverrides = pkgs: with pkgs; {
    };
  };

  home.sessionVariables = {
  };

  home.packages = []
    ++ (with pkgs; [
    iperf3
    telnet
    speedtest-cli
  ]);
}
