{ rustPlatform
, stdenv
}:

  rustPlatform.buildRustPackage rec {
    name = "just-${version}";
    version = "849cdcb37fb42feb5e8724ec9fb3b34027e0da4f";
    src = builtins.fetchGit {
      url = "https://github.com/casey/just.git";
      rev = version;
    };

    cargoSha256 = "0awfq9fhcin2q6mvv54xw6i6pxhdp9xa1cpx3jmpf3a6h8l6s9wp";

    doCheck = false;

    meta = with stdenv.lib; {
      description = "Just a command runner ";
      homepage = https://github.com/casey/just;
      license = licenses.unlicense;
      maintainers = [ ];
      platforms = platforms.all;
    };
  }
